Bug 208398 - Review Request: luvcview - Webcam Viewer Application
Review Request: luvcview - Webcam Viewer Application
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-28 08:08 EDT by Parag AN(पराग)
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-16 00:02:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of the build (10.14 KB, text/plain)
2007-02-10 08:01 EST, Giuseppe Castagna
no flags Details

  None (edit)
Description Parag AN(पराग) 2006-09-28 08:08:50 EDT
Spec URL: http://people.redhat.com/pnemade/luvcview/luvcview.spec
SRPM URL: http://people.redhat.com/pnemade/luvcview/luvcview-20060920-1.fc6.src.rpm
Description: With new release of luvcview, i feel it got well matured to enter in Fedora Extras. New release now contains the most awaited feature of video recording from webcam. Though this viewer can only be used when you already have uvcvideo kernel driver installed, i don't think i should add uvcvideo package as BR. People can direclty grab kernel module source and install it.
I am using this package since last 2 months without any problem on FC5 and FC6.
Comment 1 Rahul Sundaram 2006-09-29 02:24:16 EDT

Why not submit the kernel driver for review too?  Having a package that requires
users to download kernel drivers from source and compile it is far from the
ideal situation. 
Comment 2 Parag AN(पराग) 2006-10-31 02:41:13 EST
rahul,
 it looks to me that gspca kernel module is failing to get its approval in FE.
But is it really necessary that package can only be included in FE with all its
(NOT ESSENTIAL but required to work) dependencies. 
  I mean can't it possible to get approval to this package with no dependency on
kmod package and let end user install kmod tarball manually and use this package
without any problem?
Comment 3 Rahul Sundaram 2006-10-31 05:02:40 EST
Where did FESCo discuss and disapprove this module? Please point me to the
proposal and discussion. 
Comment 4 Parag AN(पराग) 2006-10-31 05:17:34 EST
Nope its not discussed on FESCo. But if you see the progress made at
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=209112
its clearly seen that to me that FESCo will not going to discuss this package.
Thats why i wrote it looks to me that gspca package is failing to enter in FE,
so just thought is there any other way for luvcview package to be included in FE?

And I yet don't know about whether FESCo like to discuss each and every kmod
package submission or only those whose answers they got in BUGZILLA. The only 2
questions when this module appear in main kernel and why its not. Though i
presented answeres to them from discussing same with gspca Author there are some
things that prevents this kmod in FE as written in
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=209112#c3

Above points was my base while writing comment #2 here
Comment 5 Rahul Sundaram 2006-10-31 05:23:34 EST
I would prefer FESCo actually discuss and explicitly deny this module rather
than a assumption that it will happen. If the module is denied, you can start a
discussion on whether there are any workarounds to this in fedora-extras list.
Prefer to leave this review request open till then.  
Comment 6 Parag AN(पराग) 2006-10-31 05:41:13 EST
OK its now upto FESCo members to decide about gspca package review. I will not
close gspca package review request until i got any feedback.
Thanks for replying.
Comment 7 Parag AN(पराग) 2006-12-04 23:52:27 EST
Ping for any watchers. Do we really need kmod as BR for this package. I don't
think becuase even if user installed it and he don't have webcam then he will
get only errors as 
uvcview version 0.1.7 
Video driver: x11
A window manager is available
video /dev/video0 
ERROR opening V4L interface 
: No such file or directory

So i don't think gspca kmod should be blocker for this package.
Comment 8 Giuseppe Castagna 2007-02-10 08:01:22 EST
Created attachment 147833 [details]
Output of the build
Comment 9 Giuseppe Castagna 2007-02-10 08:03:49 EST
Comment on attachment 147833 [details]
Output of the build

I cannot compile the source rpm on my fc6 amd64 workstation with a 2.6.20
kernel. See attachement
Comment 11 Giuseppe Castagna 2007-02-12 05:21:12 EST
The update package works fine with the latest standard kernel.
Linux thallium 2.6.19-1.2895.fc6 #1 SMP Wed Jan 10 18:50:56 EST 2007 x86_64
x86_64 x86_64 GNU/Linux

Just, why did you renamed the binary to uvcview instead of luvcview?
Comment 12 Parag AN(पराग) 2007-02-12 05:58:58 EST
ohh upstream renamed it to luvcview now.
Comment 14 Parag AN(पराग) 2007-04-16 00:02:38 EDT
CLOSING this Package Review as no one seems to like this package to be included
in Fedora.
Kindly Don't Mark this Review as DEAD-Review.
Thanks.

Note You need to log in before you can comment on or make changes to this bug.